## kate 4.8.4

=== part/CMakeLists.txt ===
# define project
project(katepart)

# these subdirs have their own CMakeLists
add_subdirectory( data )

# syntax highlighting data files
add_subdirectory( syntax/data )

# jscripts for the part
add_subdirectory( script/data )

add_subdirectory( plugins )

# tests
add_subdirectory( tests )

# includes
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/buffer
  ${CMAKE_CURRENT_SOURCE_DIR}/completion
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${CMAKE_CURRENT_SOURCE_DIR}/document
  ${CMAKE_CURRENT_SOURCE_DIR}/script
  ${CMAKE_CURRENT_SOURCE_DIR}/mode
  ${CMAKE_CURRENT_SOURCE_DIR}/render
  ${CMAKE_CURRENT_SOURCE_DIR}/search
  ${CMAKE_CURRENT_SOURCE_DIR}/syntax
  ${CMAKE_CURRENT_SOURCE_DIR}/undo
  ${CMAKE_CURRENT_SOURCE_DIR}/utils
  ${CMAKE_CURRENT_SOURCE_DIR}/vimode
  ${CMAKE_CURRENT_SOURCE_DIR}/view
  ${CMAKE_CURRENT_SOURCE_DIR}/swapfile
  ${CMAKE_CURRENT_SOURCE_DIR}/variableeditor
  ${KDE4_KIO_INCLUDES}
)

# our sources
set(katepart_PART_SRCS

# text buffer
buffer/katetextbuffer.cpp
buffer/katetextblock.cpp
buffer/katetextline.cpp
buffer/katetextcursor.cpp
buffer/katetextrange.cpp
buffer/katetexthistory.cpp

# completion (widget, model, delegate, ...)
completion/codecompletionmodelcontrollerinterfacev4.cpp
completion/katecompletionwidget.cpp
completion/katecompletionmodel.cpp
completion/katecompletiontree.cpp
completion/katecompletionconfig.cpp
completion/kateargumenthinttree.cpp
completion/kateargumenthintmodel.cpp
completion/katecompletiondelegate.cpp
completion/expandingtree/expandingwidgetmodel.cpp
completion/expandingtree/expandingdelegate.cpp
completion/expandingtree/expandingtree.cpp

# simple internal word completion
completion/katewordcompletion.cpp

# dialogs
dialogs/katedialogs.cpp

# document (THE document, buffer, lines/cursors/..., CORE STUFF)
document/katedocument.cpp
document/katedocumenthelpers.cpp
document/katebuffer.cpp

# undo
undo/kateundo.cpp
undo/katemodifiedundo.cpp
undo/kateundomanager.cpp

# scripting
script/katescript.cpp
script/kateindentscript.cpp
script/katecommandlinescript.cpp
script/katetemplatescript.cpp
script/katescriptmanager.cpp
script/katescriptaction.cpp
script/katescriptconsole.cpp

# scripting wrappers
script/katescriptdocument.cpp
script/katescriptview.cpp
script/katescripthelpers.cpp

# mode (modemanager and co)
mode/katemodemanager.cpp
mode/katemodeconfigpage.cpp
mode/katemodemenu.cpp
mode/katewildcardmatcher.cpp

# modeline variable editor
variableeditor/variablelineedit.cpp
variableeditor/variablelistview.cpp
variableeditor/variableeditor.cpp
variableeditor/variableitem.cpp
variableeditor/katehelpbutton.cpp


# rendering stuff (katerenderer  and helpers)
render/katerenderer.cpp
render/katerenderrange.cpp
render/katelayoutcache.cpp
render/katetextlayout.cpp
render/katelinelayout.cpp

# search stuff
search/kateregexp.cpp
search/kateplaintextsearch.cpp
search/kateregexpsearch.cpp
search/katematch.cpp
search/katesearchbar.cpp

# syntax related stuff (highlighting, xml file parsing, folding, ...)
syntax/katesyntaxmanager.cpp
syntax/katehighlight.cpp
syntax/katehighlighthelpers.cpp
syntax/katehighlightmenu.cpp
syntax/katesyntaxdocument.cpp
syntax/katecodefolding.cpp
syntax/kateextendedattribute.cpp

# view stuff (THE view and its helpers)
view/kateview.cpp
view/kateviewinternal.cpp
view/kateviewhelpers.cpp

# vi input mode
vimode/kateviinputmodemanager.cpp
vimode/katevimodebase.cpp
vimode/katevinormalmode.cpp
vimode/kateviinsertmode.cpp
vimode/katevicommand.cpp
vimode/katevimotion.cpp
vimode/katevirange.cpp
vimode/katevikeyparser.cpp
vimode/kateviglobal.cpp
vimode/katevivisualmode.cpp
vimode/katevireplacemode.cpp
vimode/katevimodebar.cpp

# spell checking
spellcheck/prefixstore.h
spellcheck/prefixstore.cpp
spellcheck/ontheflycheck.h
spellcheck/ontheflycheck.cpp
spellcheck/spellcheck.h
spellcheck/spellcheck.cpp
spellcheck/spellcheckdialog.h
spellcheck/spellcheckdialog.cpp
spellcheck/spellingmenu.h
spellcheck/spellingmenu.cpp

# generic stuff, unsorted...
utils/katecmds.cpp
utils/kateconfig.cpp
utils/katebookmarks.cpp
utils/kateautoindent.cpp
utils/kateschema.cpp
utils/katetemplatehandler.cpp
utils/kateprinter.cpp
utils/kateglobal.cpp
utils/katecmd.cpp
utils/katestyletreewidget.cpp
utils/katepartpluginmanager.cpp

# swapfile
swapfile/katerecoverbar.cpp
swapfile/kateswapfile.cpp
swapfile/katebrokenswapfilebar.cpp

)

set( katepart_PART_UI
dialogs/textareaappearanceconfigwidget.ui
dialogs/bordersappearanceconfigwidget.ui
dialogs/commandmenuconfigwidget.ui
dialogs/commandmenueditwidget.ui
dialogs/completionconfigtab.ui
dialogs/cursorconfigwidget.ui
dialogs/editconfigwidget.ui
dialogs/filetypeconfigwidget.ui
dialogs/indentationconfigwidget.ui
dialogs/opensaveconfigwidget.ui
dialogs/opensaveconfigadvwidget.ui
dialogs/modonhdwidget.ui
dialogs/schemaconfigcolortab.ui
dialogs/completionconfigwidget.ui
search/searchbarincremental.ui
search/searchbarpower.ui
dialogs/viinputmodeconfigwidget.ui
dialogs/spellcheckconfigwidget.ui
swapfile/recoverwidget.ui
swapfile/brokenswapfilewidget.ui
utils/howtoimportschema.ui
)

add_definitions ( -DKDE_DEFAULT_DEBUG_AREA=13000 )

kde4_add_ui_files(katepart_PART_SRCS ${katepart_PART_UI} )

kde4_add_library (katepartinterfaces ${LIBRARY_TYPE} ${katepart_PART_SRCS} )

target_link_libraries (
  katepartinterfaces ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS}
  ${KDE4_KCMUTILS_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTSCRIPT_LIBRARY} ${KDE_4_4_LIBS_NEEDED}
)
target_link_libraries(katepartinterfaces LINK_INTERFACE_LIBRARIES "${KDE4_KPARTS_LIBS}" )

set_target_properties(
  katepartinterfaces PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

# kde 4 final support
if(KDE4_ENABLE_FINAL)
   macro_add_file_dependencies(${CMAKE_CURRENT_BINARY_DIR}/katepartinterfaces_final_cpp.cpp )
else(KDE4_ENABLE_FINAL)
   macro_add_file_dependencies(${CMAKE_CURRENT_SOURCE_DIR}/script/katescript.cpp )
endif(KDE4_ENABLE_FINAL)

# install kate part interfaces
install (TARGETS katepartinterfaces EXPORT kdelibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

# kate part itself just is interfaces + the factory
kde4_add_plugin (katepart utils/katefactory.cpp)

# link the part, use kate part interfaces + kde stuff
target_link_libraries (katepart
  ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS}
  ${KDE4_KCMUTILS_LIBS} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTSCRIPT_LIBRARY} katepartinterfaces)

# install the part
install (TARGETS katepart DESTINATION ${PLUGIN_INSTALL_DIR})

=== kate/plugins/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../..)

remove_definitions ( -DKDE_DEFAULT_DEBUG_AREA=13001 )
add_definitions ( -DKDE_DEFAULT_DEBUG_AREA=13040 )

remove_definitions(-DQT3_SUPPORT)

if(NOT WIN32)
   add_subdirectory( gdbplugin )   # reading /proc/...
endif(NOT WIN32)

add_subdirectory( textfilter )
add_subdirectory( konsole )

# needs maintainer!
#add_subdirectory( externaltools )

add_subdirectory( filebrowser )
add_subdirectory( mailfiles )

add_subdirectory( tabbarextension )
add_subdirectory( symbolviewer )
add_subdirectory( backtracebrowser )

add_subdirectory( quickdocumentswitcher )

add_subdirectory( filetemplates )

add_subdirectory( kate-ctags )
add_subdirectory( katebuild-plugin )
add_subdirectory( search )

add_subdirectory( kttsd )

add_subdirectory( openheader )
add_subdirectory( xmltools )
add_subdirectory( xmlcheck )

add_subdirectory( snippets_tng )

add_subdirectory( tabify )

add_subdirectory( katesql )

add_subdirectory( filetree )

MESSAGE( STATUS "remember to find maintainers for these plugins and port them to the kate 3.0 interfaces...")

# Example plugin, not meant to be built for production use.
#add_subdirectory( helloworld )

=== kate/plugins/gdbplugin/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

# building separately or as part of kdesdk?
if(NOT KDE4_FOUND)
    find_package(KDE4 REQUIRED)
    ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=13040)
endif(NOT KDE4_FOUND)

include_directories(${KDE4_INCLUDES})
include_directories(${KDE4_KIO_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})


set(kategdbplugin_PART_SRCS 
    plugin_kategdb.cpp 
    debugview.cpp 
    configview.cpp 
    ioview.cpp
    localsview.cpp
)

kde4_add_plugin( kategdbplugin ${kategdbplugin_PART_SRCS} )
target_link_libraries( kategdbplugin ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KTEXTEDITOR_LIBS} kateinterfaces )

install( FILES ui.rc DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/kategdb )
install( TARGETS kategdbplugin DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kategdbplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
kde4_install_icons( ${ICON_INSTALL_DIR} )

## kate 4.7.1

=== debian/changelog ===
kate (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:13:18 +0200

kate (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - update libkatepartinterfaces4.symbols

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Wed, 07 Sep 2011 18:33:38 +0200

kate (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Philip Muškovac ]
  * New upstream release
    - update libkatepartinterfaces4.symbols
  * move katepart.desktop from kate to katepart

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jul 2011 02:50:33 +0200

kate (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * Initial release

  [ Felix Geyer ]
  * Include copy of the BSD license rather than refering to the deprecated
    /usr/share/common-licenses/BSD.
  * Add katepart package which contains the KPart and ktexteditor plugins.
  * Repackage upstream tarball:
    - Add COPYING.DOC and COPYING.GPL2
    - Drop part/syntax/data/cmake-gen.sh,
      part/syntax/data/find-trivial-regexpr.sh,
      part/syntax/data/list-keywords-ldif.sh and part/tests/hl/highlight.sh
      because of unclear licensing.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 20 Jul 2011 19:56:03 +0200

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 7.3.16),
               kde-sc-dev-latest (>= 4:4.7.1),
               kdelibs5-dev (>= 4:4.6),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Homepage: http://kate-editor.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate

Package: kate
Section: editors
Architecture: any
Depends: kate-data (>= ${source:Version}),
         katepart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: aspell | ispell | hspell, khelpcenter4, konsole
Description: K Advanced Text Editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation
 .
 This package is part of the KDE 4 Base applications module.

Package: katepart
Architecture: any
Depends: kate-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kdelibs5-data (<< 4:4.6.90), kdelibs5-plugins (<< 4:4.6.90), 
 kate (<< 4:4.7.0)
Replaces: kdelibs5-data (<< 4:4.6.90), kdelibs5-plugins (<< 4:4.6.90), 
 kate (<< 4:4.7.0)
Description: kate KPart
 KatePart is a fast and featurerich text editor component. It implements the
 KTextEditor interfaces, a common interface collection for text editor
 components in KDE.

Package: kate-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
Replaces: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
Description: shared data files for kate
 This package contains the architecture-independent shared data files needed
 for kate.
 .
 This package is part of the KDE 4 Base applications module.

Package: kate-dev
Architecture: any
Section: devel
Depends: kate (= ${binary:Version}),
         libkateinterfaces4 (= ${binary:Version}),
         libkatepartinterfaces4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for Kate
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 This package contains the development files for Kate
 .
 This package is part of the KDE 4 Base applications module.

Package: libkatepartinterfaces4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kate part library
 This library contains the code used by the kate part. It is not
 meant to be used directly, applications should use libktexteditor4
 instead.
 .
 This package is a part of KDE 4 Base applications module.

Package: libkateinterfaces4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kate (<< 4:4.6.90)
Replaces: kate (<< 4:4.6.90)
Description: kate plugin interface library
 This library contains the code used by kate plugins that provide a better
 integration into the app like tool views
 .
 This package is part of the KDE 4 Base applications module

Package: kwrite
Section: editors
Architecture: any
Depends: katepart (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: simple graphical text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.
 .
 This package is part of the KDE 4 Base applications module.

Package: kate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: katepart (= ${binary:Version}),
         kde-runtime-dbg (>= 4:4.6.90),
         libqt4-dbg (>= 4:4.6)
Breaks: kdebase-dbg (<< 4:4.6.90),
        kdelibs-dbg (<< 4:4.6.90),
        kdesdk-dbg (<< 4:4.6.90)
Replaces: kdebase-dbg (<< 4:4.6.90),
          kdelibs-dbg (<< 4:4.6.90),
          kdesdk-dbg (<< 4:4.6.90)
Description: debugging symbols for Kate
 This package contains debugging files used to investigate problems with
 binaries included in Kate.
 .
 This package is part of the KDE 4 base applications module.

## kate 4.7.2

=== debian/changelog ===
kate (4:4.7.2-1) experimental; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:09 -0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
-               debhelper (>= 7.3.16),
-               kde-sc-dev-latest (>= 4:4.7.1),
-               kdelibs5-dev (>= 4:4.6),
-               pkg-kde-tools (>= 0.12)
+ debhelper (>= 7.3.16),
+ kde-sc-dev-latest (>= 4:4.7.2),
+ kdelibs5-dev (>= 4:4.7),
+ pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
 
 Package: kate
 Section: editors
 Architecture: any
 Depends: kate-data (>= ${source:Version}),
-         katepart (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+ katepart (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Suggests: aspell | ispell | hspell, khelpcenter4, konsole
 Description: K Advanced Text Editor
  Kate is a powerful text editor that can open multiple files simultaneously.
@@ -60,20 +62,20 @@
  .
  This package is part of the KDE 4 Base applications module.
 
-Package: kate-dev
-Architecture: any
-Section: devel
-Depends: kate (= ${binary:Version}),
-         libkateinterfaces4 (= ${binary:Version}),
-         libkatepartinterfaces4 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Development files for Kate
- Kate is a powerful text editor that can open multiple files simultaneously.
- .
- This package contains the development files for Kate
- .
- This package is part of the KDE 4 Base applications module.
+#Package: kate-dev
+#Architecture: any
+#Section: devel
+#Depends: kate (= ${binary:Version}),
+#         libkateinterfaces4 (= ${binary:Version}),
+#         libkatepartinterfaces4 (= ${binary:Version}),
+#         ${misc:Depends},
+#         ${shlibs:Depends}
+#Description: Development files for Kate
+# Kate is a powerful text editor that can open multiple files simultaneously.
+# .
+# This package contains the development files for Kate
+# .
+# This package is part of the KDE 4 Base applications module.
 
 Package: libkatepartinterfaces4
 Architecture: any
@@ -112,15 +114,15 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: katepart (= ${binary:Version}),
-         kde-runtime-dbg (>= 4:4.6.90),
-         libqt4-dbg (>= 4:4.6)
+Depends: ${misc:Depends}, katepart (= ${binary:Version}),
+ kde-runtime-dbg (>= 4:4.6.90),
+ libqt4-dbg (>= 4:4.6)
 Breaks: kdebase-dbg (<< 4:4.6.90),
-        kdelibs-dbg (<< 4:4.6.90),
-        kdesdk-dbg (<< 4:4.6.90)
+ kdelibs-dbg (<< 4:4.6.90),
+ kdesdk-dbg (<< 4:4.6.90)
 Replaces: kdebase-dbg (<< 4:4.6.90),
-          kdelibs-dbg (<< 4:4.6.90),
-          kdesdk-dbg (<< 4:4.6.90)
+ kdelibs-dbg (<< 4:4.6.90),
+ kdesdk-dbg (<< 4:4.6.90)
 Description: debugging symbols for Kate
  This package contains debugging files used to investigate problems with
  binaries included in Kate.

## kate 4.7.4

=== debian/changelog ===
kate (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Jan 2012 10:54:17 -0500

kate (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Rohan Garg ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 21:40:58 -0500

kate (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 13 Oct 2011 13:56:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,24 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
- debhelper (>= 7.3.16),
- kde-sc-dev-latest (>= 4:4.7.2),
- kdelibs5-dev (>= 4:4.7),
- pkg-kde-tools (>= 0.12)
+               debhelper (>= 7.3.16),
+               kde-sc-dev-latest (>= 4:4.7.4),
+               kdelibs5-dev (>= 4:4.6),
+               pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
 
 Package: kate
 Section: editors
 Architecture: any
 Depends: kate-data (>= ${source:Version}),
- katepart (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+         katepart (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: aspell | ispell | hspell, khelpcenter4, konsole
 Description: K Advanced Text Editor
  Kate is a powerful text editor that can open multiple files simultaneously.
@@ -62,20 +60,20 @@
  .
  This package is part of the KDE 4 Base applications module.
 
-#Package: kate-dev
-#Architecture: any
-#Section: devel
-#Depends: kate (= ${binary:Version}),
-#         libkateinterfaces4 (= ${binary:Version}),
-#         libkatepartinterfaces4 (= ${binary:Version}),
-#         ${misc:Depends},
-#         ${shlibs:Depends}
-#Description: Development files for Kate
-# Kate is a powerful text editor that can open multiple files simultaneously.
-# .
-# This package contains the development files for Kate
-# .
-# This package is part of the KDE 4 Base applications module.
+Package: kate-dev
+Architecture: any
+Section: devel
+Depends: kate (= ${binary:Version}),
+         libkateinterfaces4 (= ${binary:Version}),
+         libkatepartinterfaces4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Development files for Kate
+ Kate is a powerful text editor that can open multiple files simultaneously.
+ .
+ This package contains the development files for Kate
+ .
+ This package is part of the KDE 4 Base applications module.
 
 Package: libkatepartinterfaces4
 Architecture: any
@@ -114,15 +112,15 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, katepart (= ${binary:Version}),
- kde-runtime-dbg (>= 4:4.6.90),
- libqt4-dbg (>= 4:4.6)
+Depends: katepart (= ${binary:Version}),
+         kde-runtime-dbg (>= 4:4.6.90),
+         libqt4-dbg (>= 4:4.6)
 Breaks: kdebase-dbg (<< 4:4.6.90),
- kdelibs-dbg (<< 4:4.6.90),
- kdesdk-dbg (<< 4:4.6.90)
+        kdelibs-dbg (<< 4:4.6.90),
+        kdesdk-dbg (<< 4:4.6.90)
 Replaces: kdebase-dbg (<< 4:4.6.90),
- kdelibs-dbg (<< 4:4.6.90),
- kdesdk-dbg (<< 4:4.6.90)
+          kdelibs-dbg (<< 4:4.6.90),
+          kdesdk-dbg (<< 4:4.6.90)
 Description: debugging symbols for Kate
  This package contains debugging files used to investigate problems with
  binaries included in Kate.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kate-dbg

## kate 4.8.2

=== debian/changelog ===
kate (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:00 +0100

kate (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:38:48 +0200

kate (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 07 Mar 2012 17:51:28 +0100

kate (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:25 +0000

kate (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:00 +0000

kate (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
    - update kate-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 15:38:02 +0100

kate (4:4.7.90-0ubuntu2) precise; urgency=low

  * Kill the kate-dev package. It doesn't have any reverse-dependencies so
    we can't test the package.
  * Remove the libkatepartinterfaces4 and libkateinterfaces4 symbol files.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 22 Dec 2011 14:19:07 +0100

kate (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 13:28:06 +0000

kate (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian packaging from Git, changes:
   - reenable kate-dev (smokekde should use it)
   - Add .symbols files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 14:02:22 +0000

kate (4:4.7.2-0r0) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 08 Oct 2011 13:35:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,28 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
-               debhelper (>= 7.3.16),
-               kde-sc-dev-latest (>= 4:4.7.4),
-               kdelibs5-dev (>= 4:4.6),
-               pkg-kde-tools (>= 0.12)
+ debhelper (>= 7.3.16),
+ kde-sc-dev-latest (>= 4:4.8.2),
+ kdelibs5-dev (>= 4:4.8.1),
+ pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.2
 Homepage: http://kate-editor.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
 
 Package: kate
 Section: editors
 Architecture: any
 Depends: kate-data (>= ${source:Version}),
-         katepart (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+ katepart (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Suggests: aspell | ispell | hspell, khelpcenter4, konsole
 Description: K Advanced Text Editor
  Kate is a powerful text editor that can open multiple files simultaneously.
@@ -60,20 +65,20 @@
  .
  This package is part of the KDE 4 Base applications module.
 
-Package: kate-dev
-Architecture: any
-Section: devel
-Depends: kate (= ${binary:Version}),
-         libkateinterfaces4 (= ${binary:Version}),
-         libkatepartinterfaces4 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Development files for Kate
- Kate is a powerful text editor that can open multiple files simultaneously.
- .
- This package contains the development files for Kate
- .
- This package is part of the KDE 4 Base applications module.
+#Package: kate-dev
+#Architecture: any
+#Section: devel
+#Depends: kate (= ${binary:Version}),
+#         libkateinterfaces4 (= ${binary:Version}),
+#         libkatepartinterfaces4 (= ${binary:Version}),
+#         ${misc:Depends},
+#         ${shlibs:Depends}
+#Description: Development files for Kate
+# Kate is a powerful text editor that can open multiple files simultaneously.
+# .
+# This package contains the development files for Kate
+# .
+# This package is part of the KDE 4 Base applications module.
 
 Package: libkatepartinterfaces4
 Architecture: any
@@ -113,14 +118,14 @@
 Architecture: any
 Priority: extra
 Depends: katepart (= ${binary:Version}),
-         kde-runtime-dbg (>= 4:4.6.90),
-         libqt4-dbg (>= 4:4.6)
+ kde-runtime-dbg (>= 4:4.6.90),
+ libqt4-dbg (>= 4:4.6)
 Breaks: kdebase-dbg (<< 4:4.6.90),
-        kdelibs-dbg (<< 4:4.6.90),
-        kdesdk-dbg (<< 4:4.6.90)
+ kdelibs-dbg (<< 4:4.6.90),
+ kdesdk-dbg (<< 4:4.6.90)
 Replaces: kdebase-dbg (<< 4:4.6.90),
-          kdelibs-dbg (<< 4:4.6.90),
-          kdesdk-dbg (<< 4:4.6.90)
+ kdelibs-dbg (<< 4:4.6.90),
+ kdesdk-dbg (<< 4:4.6.90)
 Description: debugging symbols for Kate
  This package contains debugging files used to investigate problems with
  binaries included in Kate.

## kate 4.8.4

=== debian/changelog ===
kate (4:4.8.4-1) unstable; urgency=low

  * New upstream version.
  * Team upload.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Update installed files.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 15:25:16 +0300

kate (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Update installed files.
  * Update not-installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Modestas Vainius ]
  * Add myself to Uploaders.
  * Drop dh_makeshlibs override: not needed as there are no symbol files.
  * Override lintian "kate: package-name-doesnt-match-sonames".
  * Enable strict shlibs for libraries.
  * Get rid of all traces of kate-dev.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 May 2012 17:13:18 +0300

kate (4:4.7.4-3) UNRELEASED; urgency=low

  [ Pino Toscano ]
  * Drop README.Debian, wrongly copied from kde4libs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 12:13:57 +0100

kate (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 10:00:51 +0100

kate (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * kate-dbg:
    - fix kdelibs-dbg -> kdelibs5-dbg typo (Closes: #652196)
    - remove extra dependency on libqt4-dbg

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
+ Eshat Cakar <info@eshat.de>,
+ Modestas Vainius <modax@debian.org>
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
- kde-sc-dev-latest (>= 4:4.8.2),
- kdelibs5-dev (>= 4:4.8.1),
+ kde-sc-dev-latest (>= 4:4.8.4),
+ kdelibs5-dev (>= 4:4.8),
  pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
 
 Package: kate
 Section: editors
@@ -65,21 +63,6 @@
  .
  This package is part of the KDE 4 Base applications module.
 
-#Package: kate-dev
-#Architecture: any
-#Section: devel
-#Depends: kate (= ${binary:Version}),
-#         libkateinterfaces4 (= ${binary:Version}),
-#         libkatepartinterfaces4 (= ${binary:Version}),
-#         ${misc:Depends},
-#         ${shlibs:Depends}
-#Description: Development files for Kate
-# Kate is a powerful text editor that can open multiple files simultaneously.
-# .
-# This package contains the development files for Kate
-# .
-# This package is part of the KDE 4 Base applications module.
-
 Package: libkatepartinterfaces4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -117,14 +100,13 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: katepart (= ${binary:Version}),
- kde-runtime-dbg (>= 4:4.6.90),
- libqt4-dbg (>= 4:4.6)
+Depends: ${misc:Depends}, katepart (= ${binary:Version}),
+ kde-runtime-dbg (>= 4:4.6.90), ${allLibraries}
 Breaks: kdebase-dbg (<< 4:4.6.90),
- kdelibs-dbg (<< 4:4.6.90),
+ kdelibs5-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)
 Replaces: kdebase-dbg (<< 4:4.6.90),
- kdelibs-dbg (<< 4:4.6.90),
+ kdelibs5-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)
 Description: debugging symbols for Kate
  This package contains debugging files used to investigate problems with

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kdepimlibs-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kate-dbg

## kate 4.8.5

=== ktexteditor/CMakeLists.txt ===
include_directories( ${KDE4_KPARTS_INCLUDES} )

########### next target ###############

set(ktexteditor_LIB_SRCS
   ktexteditor.cpp
   document.cpp
   range.cpp
   cursor.cpp
   templateinterface.cpp
   templateinterface2.cpp
   editorchooser.cpp
   attribute.cpp
   cursorfeedback.cpp
   rangefeedback.cpp
   smartcursor.cpp
   smartrange.cpp
   codecompletioninterface.cpp
   codecompletionmodel.cpp
   codecompletionmodelcontrollerinterface.cpp
   configinterface.cpp
   smartinterface.cpp
   highlightinterface.cpp
   movinginterface.cpp
   movingcursor.cpp
   movingrange.cpp
   movingrangefeedback.cpp
   )


kde4_add_ui_files(ktexteditor_LIB_SRCS editorchooser_ui.ui )

kde4_add_library(ktexteditor ${LIBRARY_TYPE} ${ktexteditor_LIB_SRCS})

target_link_libraries(ktexteditor  ${KDE4_KDECORE_LIBS} ${QT_QTDBUS_LIBRARY} ${KDE4_KPARTS_LIBS} )
target_link_libraries(ktexteditor  LINK_INTERFACE_LIBRARIES ${KDE4_KPARTS_LIBS} )

set_target_properties(ktexteditor
   PROPERTIES VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
)
install(TARGETS ktexteditor EXPORT kdelibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install( FILES
    ktexteditor_export.h
    factory.h
    editor.h
    document.h
    view.h
    plugin.h
    cursor.h
    range.h
    configpage.h
    searchinterface.h
    markinterface.h
    sessionconfiginterface.h
    editorchooser.h
    texthintinterface.h
    variableinterface.h
    templateinterface.h
    templateinterface2.h
    modificationinterface.h
    commandinterface.h
    smartinterface.h
    attribute.h
    cursorfeedback.h
    rangefeedback.h
    smartcursor.h
    smartcursornotifier.h
    smartcursorwatcher.h
    smartrange.h
    smartrangenotifier.h
    smartrangewatcher.h
    codecompletioninterface.h
    codecompletionmodel.h
    codecompletionmodelcontrollerinterface.h
    configinterface.h
    containerinterface.h
    annotationinterface.h
    loadsavefiltercheckplugin.h
    highlightinterface.h
    modeinterface.h
    movinginterface.h
    movingcursor.h
    movingrange.h
    movingrangefeedback.h
    recoveryinterface.h
    DESTINATION  ${INCLUDE_INSTALL_DIR}/ktexteditor COMPONENT Devel)

install( FILES ktexteditor.desktop ktexteditorplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
install( FILES kcm_ktexteditor.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kcm_componentchooser )

install( FILES ktexteditor_loadsavefiltercheckplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

=== kate/plugins/katesql/pics/CMakeLists.txt ===
kde4_install_icons( ${DATA_INSTALL_DIR}/kate/icons )

=== debian/changelog ===
kate (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:39:23 +0200

kate (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Update kate-data.install
  * Drop the go.xml kate syntax highlighting, as it's provided by
    kate-syntax-go. (LP: #968734)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:33:10 +0200

kate (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Mon, 30 Apr 2012 23:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: kate
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>,
- Modestas Vainius <modax@debian.org>
+ Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
- kde-sc-dev-latest (>= 4:4.8.4),
- kdelibs5-dev (>= 4:4.8),
+ kde-sc-dev-latest (>= 4:4.8.5),
+ kdelibs5-dev (>= 4:4.8.1),
  pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
 
 Package: kate
 Section: editors
@@ -63,6 +65,21 @@
  .
  This package is part of the KDE 4 Base applications module.
 
+#Package: kate-dev
+#Architecture: any
+#Section: devel
+#Depends: kate (= ${binary:Version}),
+#         libkateinterfaces4 (= ${binary:Version}),
+#         libkatepartinterfaces4 (= ${binary:Version}),
+#         ${misc:Depends},
+#         ${shlibs:Depends}
+#Description: Development files for Kate
+# Kate is a powerful text editor that can open multiple files simultaneously.
+# .
+# This package contains the development files for Kate
+# .
+# This package is part of the KDE 4 Base applications module.
+
 Package: libkatepartinterfaces4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -100,13 +117,14 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, katepart (= ${binary:Version}),
- kde-runtime-dbg (>= 4:4.6.90), ${allLibraries}
+Depends: katepart (= ${binary:Version}),
+ kde-runtime-dbg (>= 4:4.6.90),
+ libqt4-dbg (>= 4:4.6)
 Breaks: kdebase-dbg (<< 4:4.6.90),
- kdelibs5-dbg (<< 4:4.6.90),
+ kdelibs-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)
 Replaces: kdebase-dbg (<< 4:4.6.90),
- kdelibs5-dbg (<< 4:4.6.90),
+ kdelibs-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)
 Description: debugging symbols for Kate
  This package contains debugging files used to investigate problems with

## kate 4.9.2

=== debian/changelog ===
kate (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:11:48 +0100

kate (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:17:04 +0530

kate (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:47 +0100

kate (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:02:37 +0100

kate (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Move go.xml to go-lang.xml in rules and kate-data.install to prevent
    clash with golang kate-syntax-go (LP: #968734)

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:05:23 +0200

kate (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * New upstream beta release:
    - Update .install files
  * Merge with Debian Qt/KDE Git, remaining changes:
    - Drop kate-dev package

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 25 May 2012 19:46:22 -0400

kate (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Mon, 30 Apr 2012 23:32:27 +0200

kate (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Update not-installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
  Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
- debhelper (>= 7.3.16),
- kde-sc-dev-latest (>= 4:4.8.5),
- kdelibs5-dev (>= 4:4.8.1),
+ debhelper (>= 7.3.16), 
+ kdelibs5-dev (>= 4:4.9.2),
  pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
@@ -117,14 +116,13 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: katepart (= ${binary:Version}),
- kde-runtime-dbg (>= 4:4.6.90),
- libqt4-dbg (>= 4:4.6)
+Depends: ${misc:Depends}, katepart (= ${binary:Version}),
+ kde-runtime-dbg (>= 4:4.6.90)
 Breaks: kdebase-dbg (<< 4:4.6.90),
- kdelibs-dbg (<< 4:4.6.90),
+ kdelibs5-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)
 Replaces: kdebase-dbg (<< 4:4.6.90),
- kdelibs-dbg (<< 4:4.6.90),
+ kdelibs5-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)
 Description: debugging symbols for Kate
  This package contains debugging files used to investigate problems with

## kate 4.9.4

=== debian/changelog ===
kate (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:44:53 +0100

kate (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:32:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
  debhelper (>= 7.3.16), 
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4),
  pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/

## kate 4.9.5

=== debian/changelog ===
kate (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:21:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
  debhelper (>= 7.3.16), 
- kdelibs5-dev (>= 4:4.9.4),
+ kdelibs5-dev (>= 4:4.9.5),
  pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kate-dbg

override_dh_install:
	mv debian/tmp/usr/share/kde4/apps/katepart/syntax/go.xml debian/tmp/usr/share/kde4/apps/katepart/syntax/go-lang.xml
	dh_install

## kate 4.10.0

=== debian/changelog ===
kate (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:32:37 +0000

kate (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:58:53 +0000

kate (4:4.9.97-0ubuntu1~ubuntu13.04) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Rohan Garg ]
  * Add kubuntu_pate_find_python.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:25:27 +0100

kate (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * Add build-dep on libpython2.7-dev
  * Add kubuntu_multiarch_python.diff to work around multiarch python

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:17:40 +0000

kate (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove fix_pate_includes.diff now upstream
  * Remove kubuntu_kate_initial_preference.patch now upstream
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:37:41 +0000

kate (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add build-dep on python-dev packages and add pate files to kate.install

  [ Scott Kitterman ]
  * Add libkactivities-dev, libqtwebkit-dev, and libqt4-opengl-dev to
    build-depends
  * Add debian/patches/fix_pate_includes.diff to add Qt webkit includes for
    pate
  * Update kate, kate-part, and kate-data install files for upstream additions
    and deletions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Nov 2012 02:42:57 -0500

kate (4:4.9.3-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream release (LP: #1074747)

  [ Harald Sitter ]
  * Restore kubuntu_kate_initial_preference.patch lost in the split from
    kdesdk (LP: #1062086). It ensures that kate is chosen over other text
    processing apps (namely libreoffice-writer) for the file types kate
    is associated with (such as text/*)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 06 Nov 2012 22:23:17 +0100

kate (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Update not-installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:29:52 +0100

kate (4:4.7.4-3) raring; urgency=low

  [ Pino Toscano ]
  * Drop README.Debian, wrongly copied from kde4libs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 12:13:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,16 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
  debhelper (>= 7.3.16), 
- kdelibs5-dev (>= 4:4.9.5),
- pkg-kde-tools (>= 0.12)
+ kdelibs5-dev (>= 4:4.10.0),
+ pkg-kde-tools (>= 0.12),
+ libkactivities-dev (>= 4:4.10.0),
+ libpython2.7-dev,
+ python-sip-dev,
+ python-qt4-dev,
+ python-kde4-dev (>= 4:4.9.80),
+ libqjson-dev,
+ libqt4-opengl-dev,
+ libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate

## kate 4.10.2

=== debian/changelog ===
kate (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:37:50 +0200

kate (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * refresh kate-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:14:47 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: cmake,
  debhelper (>= 7.3.16), 
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  pkg-kde-tools (>= 0.12),
- libkactivities-dev (>= 4:4.10.0),
+ libkactivities-dev (>= 4:4.10.2),
  libpython2.7-dev,
  python-sip-dev,
  python-qt4-dev,
